## gcc-12 12.2.0

=== newlib/libc/sys/linux/include/rpc/Makefile ===
#	from: @(#)Makefile	2.3 88/08/11 4.0 RPCSRC
#	$FreeBSD: src/include/rpc/Makefile,v 1.1 2001/03/19 12:49:46 alfred Exp $

.SUFFIXES: .x

RPCCOM = rpcgen -C

HDRS=	rpcb_prot.h

XFILES= rpcb_prot.x

HFILES=	auth.h auth_unix.h clnt.h clnt_soc.h clnt_stat.h \
	nettype.h pmap_clnt.h pmap_prot.h pmap_rmt.h raw.h \
	rpc.h rpc_msg.h rpcb_clnt.h rpcent.h rpc_com.h \
	svc.h svc_auth.h svc_soc.h svc_dg.h types.h xdr.h

# Secure RPC
HFILES+= auth_des.h des.h des_crypt.h

# Kerberos
HFILES+= auth_kerb.h

CLEANFILES+= ${HDRS}

all: ${HDRS}

beforeinstall:
	${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 \
		${HFILES:S;^;${.CURDIR}/;} \
		${XFILES:S;^;${.CURDIR}/;} \
		${HDRS} \
		${DESTDIR}/usr/include/rpc

.x.h:
	${RPCCOM} -h -DWANT_NFS3 ${.IMPSRC} -o ${.TARGET}

.include <bsd.prog.mk>

## gcc-12 12-20220319

=== debian/changelog ===
gcc-12 (12-20220319-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Mar 2022 10:36:32 +0000

gcc-12 (12-20220319-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
    - Import go 1.18.0.
  * Disable the Ada ALI check before GCC 12 is released.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Mar 2022 08:39:27 +0100

gcc-12 (12-20220313-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2022 06:06:05 +0100

gcc-12 (12-20220313-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Use again GCC 11 for the bootstrap, and GCC 12 on alpha and m68k.
  * Fix PR target/104890, applying proposed patch.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Mar 2022 06:02:13 +0100

gcc-12 (12-20220302-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Mar 2022 11:30:36 +0100

gcc-12 (12-20220302-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Reenable Ada on m68k; build using gcc-10 for the Ada bootstrap.
  * Update libgphobos symbols file.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Mar 2022 14:52:13 +0100

gcc-12 (12-20220222-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Feb 2022 12:21:10 +0100

gcc-12 (12-20220222-1) unstable; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Reenable Ada on alpha. See PR target/98724.
  * Don't apply Ada patches when not building Ada.
  * Update the alpha-ieee patch for GCC 12.
  * Follow-up patch for PR go/104290 (Hurd) (Svante Signell).
  * Disable gnat on x32 with glibc << 2.35.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 12:15:48 +0100

gcc-12 (12-20220214-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump libgo soname, golang-1.18 import.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Feb 2022 04:01:08 +0100

gcc-12 (12-20220206-2) experimental; urgency=medium

  [ Matthias Klose ]
  * New upstream snapshot, taken from the trunk.
  * Update cross-build patches.

  [ Aurelien Jarno ]
  * For riscv64, change --with-arch to rv64gc (from rv64imafd).

 -- Matthias Klose <doko@debian.org>  Sun, 06 Feb 2022 13:20:19 +0100

gcc-12 (12-20220126-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 12:56:35 +0100

gcc-12 (12-20220126-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jan 2022 11:49:18 +0100

gcc-12 (12-20220119-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Disable D on ia64, m68k, sh4 and sparc64.
  * Disable D on KFreeBSD and the Hurd.
  * Revert the PR ada/79724 patch, conflicting with the local ada-gcc-name
    patch.
  * Apply proposed patch for PR ada/103538 for x32.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jan 2022 10:31:16 +0100

gcc-12 (12-20220116-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 16 Jan 2022 18:19:48 +0100

gcc-12 (12-20220116-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Remove the gdc-driver-nophobos patch.
  * Configure instead with --with-libphobos-druntime-only=yes.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jan 2022 16:43:31 +0100

gcc-12 (12-20220106-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Dec 2021 14:12:31 +0100

gcc-12 (12-20211206-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Add gdc as a build dependency for native builds.
  * Update symbols files for libgcc-s, libgccjit, libgphobos.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Dec 2021 11:03:14 +0100

gcc-12 (12-20211127-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 27 Nov 2021 09:02:07 +0100

gcc-12 (12-20211127-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 08:51:55 +0100

gcc-12 (12-20211126-1ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Nov 2021 10:09:41 +0100

gcc-12 (12-20211126-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Lower severity of the gcc-N-base packages. Addresses: #997826.
  * Fix gcc-12-locales build. Closes: #999764.
  * Fix the gcc-12 cross builds (Helmut Grohne). Closes: #1000459.
  * Configure --with-cpu=power9 on ppc64el on the Ubuntu development
    release.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Nov 2021 10:00:23 +0100

gcc-12 (12-20211117-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Drop brig/libhsail packaging bits.
  * Update breaks/replaces, update textdomain. Closes: #999764.
  * Move libtsan_preinit.o into libgcc-12-dev. Closes: #999752.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 22:08:35 +0100

gcc-12 (12-20211113-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Configure with --enable-offload-defaulted.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Nov 2021 15:13:11 +0100

gcc-11 (11.2.0-10ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Oct 2021 11:53:29 +0200

gcc-11 (11.2.0-10) unstable; urgency=medium



=== debian/control ===
Source: gcc-12
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.37), binutils-hppa64-linux-gnu:native (>= 2.37) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64 !mipsel !mips64el], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-11:native [!m32r !sh3 !sh3eb !sh4eb !ia64], g++-11:native, netbase, gdc-11:native [!ia64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !hurd-alpha !kfreebsd-amd64 !kfreebsd-i386 !kfreebsd-alpha], python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], libx32z1-dev [amd64 kfreebsd-amd64 i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-12-alpha-linux-gnu [alpha] <cross>, gobjc-12-alpha-linux-gnu [alpha] <cross>, gfortran-12-alpha-linux-gnu [alpha] <cross>, gdc-12-alpha-linux-gnu [alpha] <cross>, gccgo-12-alpha-linux-gnu [alpha] <cross>, gnat-12-alpha-linux-gnu [alpha] <cross>, gm2-12-alpha-linux-gnu [alpha] <cross>, g++-12-x86-64-linux-gnu [amd64] <cross>, gobjc-12-x86-64-linux-gnu [amd64] <cross>, gfortran-12-x86-64-linux-gnu [amd64] <cross>, gdc-12-x86-64-linux-gnu [amd64] <cross>, gccgo-12-x86-64-linux-gnu [amd64] <cross>, gnat-12-x86-64-linux-gnu [amd64] <cross>, gm2-12-x86-64-linux-gnu [amd64] <cross>, g++-12-arm-linux-gnueabi [armel] <cross>, gobjc-12-arm-linux-gnueabi [armel] <cross>, gfortran-12-arm-linux-gnueabi [armel] <cross>, gdc-12-arm-linux-gnueabi [armel] <cross>, gccgo-12-arm-linux-gnueabi [armel] <cross>, gnat-12-arm-linux-gnueabi [armel] <cross>, gm2-12-arm-linux-gnueabi [armel] <cross>, g++-12-arm-linux-gnueabihf [armhf] <cross>, gobjc-12-arm-linux-gnueabihf [armhf] <cross>, gfortran-12-arm-linux-gnueabihf [armhf] <cross>, gdc-12-arm-linux-gnueabihf [armhf] <cross>, gccgo-12-arm-linux-gnueabihf [armhf] <cross>, gnat-12-arm-linux-gnueabihf [armhf] <cross>, gm2-12-arm-linux-gnueabihf [armhf] <cross>, g++-12-aarch64-linux-gnu [arm64] <cross>, gobjc-12-aarch64-linux-gnu [arm64] <cross>, gfortran-12-aarch64-linux-gnu [arm64] <cross>, gdc-12-aarch64-linux-gnu [arm64] <cross>, gccgo-12-aarch64-linux-gnu [arm64] <cross>, gnat-12-aarch64-linux-gnu [arm64] <cross>, gm2-12-aarch64-linux-gnu [arm64] <cross>, g++-12-i686-linux-gnu [i386] <cross>, gobjc-12-i686-linux-gnu [i386] <cross>, gfortran-12-i686-linux-gnu [i386] <cross>, gdc-12-i686-linux-gnu [i386] <cross>, gccgo-12-i686-linux-gnu [i386] <cross>, gnat-12-i686-linux-gnu [i386] <cross>, gm2-12-i686-linux-gnu [i386] <cross>, g++-12-mipsel-linux-gnu [mipsel] <cross>, gobjc-12-mipsel-linux-gnu [mipsel] <cross>, gfortran-12-mipsel-linux-gnu [mipsel] <cross>, gdc-12-mipsel-linux-gnu [mipsel] <cross>, gccgo-12-mipsel-linux-gnu [mipsel] <cross>, gnat-12-mipsel-linux-gnu [mipsel] <cross>, gm2-12-mipsel-linux-gnu [mipsel] <cross>, g++-12-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-12-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-12-mips64-linux-gnuabi64 [mips64] <cross>, gdc-12-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-12-mips64-linux-gnuabi64 [mips64] <cross>, gnat-12-mips64-linux-gnuabi64 [mips64] <cross>, gm2-12-mips64-linux-gnuabi64 [mips64] <cross>, g++-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-12-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-12-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-12-powerpc-linux-gnu [powerpc] <cross>, gobjc-12-powerpc-linux-gnu [powerpc] <cross>, gfortran-12-powerpc-linux-gnu [powerpc] <cross>, gdc-12-powerpc-linux-gnu [powerpc] <cross>, gccgo-12-powerpc-linux-gnu [powerpc] <cross>, gnat-12-powerpc-linux-gnu [powerpc] <cross>, g++-12-powerpc64-linux-gnu [ppc64] <cross>, gobjc-12-powerpc64-linux-gnu [ppc64] <cross>, gfortran-12-powerpc64-linux-gnu [ppc64] <cross>, gdc-12-powerpc64-linux-gnu [ppc64] <cross>, gccgo-12-powerpc64-linux-gnu [ppc64] <cross>, gnat-12-powerpc64-linux-gnu [ppc64] <cross>, g++-12-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-12-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-12-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-12-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-12-powerpc64le-linux-gnu [ppc64el] <cross>, g++-12-m68k-linux-gnu [m68k] <cross>, gobjc-12-m68k-linux-gnu [m68k] <cross>, gfortran-12-m68k-linux-gnu [m68k] <cross>, gdc-12-m68k-linux-gnu [m68k] <cross>, gm2-12-m68k-linux-gnu [m68k] <cross>, g++-12-riscv64-linux-gnu [riscv64] <cross>, gobjc-12-riscv64-linux-gnu [riscv64] <cross>, gfortran-12-riscv64-linux-gnu [riscv64] <cross>, gdc-12-riscv64-linux-gnu [riscv64] <cross>, gccgo-12-riscv64-linux-gnu [riscv64] <cross>, gnat-12-riscv64-linux-gnu [riscv64] <cross>, gm2-12-riscv64-linux-gnu [riscv64] <cross>, g++-12-sh4-linux-gnu [sh4] <cross>, gobjc-12-sh4-linux-gnu [sh4] <cross>, gfortran-12-sh4-linux-gnu [sh4] <cross>, gnat-12-sh4-linux-gnu [sh4] <cross>, g++-12-sparc64-linux-gnu [sparc64] <cross>, gobjc-12-sparc64-linux-gnu [sparc64] <cross>, gfortran-12-sparc64-linux-gnu [sparc64] <cross>, gdc-12-sparc64-linux-gnu [sparc64] <cross>, gccgo-12-sparc64-linux-gnu [sparc64] <cross>, gnat-12-sparc64-linux-gnu [sparc64] <cross>, gm2-12-sparc64-linux-gnu [sparc64] <cross>, g++-12-s390x-linux-gnu [s390x] <cross>, gobjc-12-s390x-linux-gnu [s390x] <cross>, gfortran-12-s390x-linux-gnu [s390x] <cross>, gdc-12-s390x-linux-gnu [s390x] <cross>, gccgo-12-s390x-linux-gnu [s390x] <cross>, gnat-12-s390x-linux-gnu [s390x] <cross>, gm2-12-s390x-linux-gnu [s390x] <cross>, g++-12-x86-64-linux-gnux32 [x32] <cross>, gobjc-12-x86-64-linux-gnux32 [x32] <cross>, gfortran-12-x86-64-linux-gnux32 [x32] <cross>, gdc-12-x86-64-linux-gnux32 [x32] <cross>, gccgo-12-x86-64-linux-gnux32 [x32] <cross>, gnat-12-x86-64-linux-gnux32 [x32] <cross>, gm2-12-x86-64-linux-gnux32 [x32] <cross>, g++-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-12-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Priority: optional

## gcc-12 12.1.0

=== debian/changelog ===
gcc-12 (12.1.0-7+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from gcc-8 8-20180207-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 17 Feb 2018 00:20:23 +0000]
  * Don't pass -march=armv7+fp to compiler when building libatomic.

  [changes introduced in gcc-8 8.2.0-16+rpi1 by Peter Michael Green]
  * Disable testsuite (build seems to hang after testsuite completes).

 -- Raspbian forward porter <root@raspbian.org>  Thu, 28 Jul 2022 04:09:27 +0000

gcc-12 (12.1.0-7) unstable; urgency=medium

  * Remove the libphobos test forkgc2.d, hangs. See PR d/103944.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2022 18:35:43 +0200

gcc-12 (12.1.0-6) unstable; urgency=medium

  * Update to git 20210717 from the gcc-12 branch.
    - Fix PR rtl-optimization/105041, PR tree-optimization/105860,
      PR target/105930 (x86), PR tree-optimization/106114,
      PR target/105991 (PPC), PR target/106122 (x86), PR c++/106102,
      PR target/103722 (SH), PR bootstrap/105551, PR target/106097,
      PR c++/105626, PR c++/106024, PR c++/105541, PR c++/105779,
      PR c++/106024, PR d/106139, PR fortran/104313, PR fortran/103137,
      PR fortran/103138, PR fortran/103693, PR fortran/105243,
      PR fortran/106121, PR fortran/105954, PR fortran/105691,
      PR fortran/105813.
  * Apply a hack to build libgo on the Hurd. Closes: #1005297.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 11:18:47 +0200

gcc-12 (12.1.0-5) unstable; urgency=medium

  * Update to git 20210629 from the gcc-12 branch.
    - Fix PR bootstrap/105551, PR rtl-optimization/106032, PR ipa/105600,
      PR middle-end/106030, PR target/106096, PR tree-optimization/105736,
      PR tree-optimization/105254, PR tree-optimization/105940,
      PR tree-optimization/105940, PR target/105960 (x86), PR ipa/105739,
      PR target/105209 (alpha), PR target/105970 (x86), PR middle-end/105998,
      PR middle-end/105951, PR target/105981 (ARM), PR target/104871 (Darwin),
      PR target/105599 (Darwin), PR target/105953 (x86), PR c++/105931,
      PR c++/105925, PR c++/105885, PR c++/105964, PR c++/105908,
      PR c++/106001, PR c++/105871, PR libgomp/106045.

  [ Matthias Klose ]
  * Fix PR bootstrap/105551, taken from the trunk.

  [ Nicolas Boulenguez ]
  * ada: move ada/debian_packaging.mk from the gcc-BV source package
    back to gnat.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 15:42:10 +0200

gcc-12 (12.1.0-4) unstable; urgency=medium

  * Update to git 20210616 from the gcc-12 branch.
    - Fix PR target/105953 (x86).
  * Fix PR bootstrap/105551, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2022 07:16:59 +0200

gcc-12 (12.1.0-3) unstable; urgency=medium

  * Update to git 20210612 from the gcc-12 branch.
    - Fix PR target/105879 (xtensa), PR target/105854 (x86),
      PR tree-optimization/105786, PR tree-optimization/105726,
      PR middle-end/105711, PR middle-end/105604, PR ipa/105639,
      PR sanitizer/105729, PR sanitizer/105714, PR c/105635, PR target/101891,
      PR other/105527, PR target/105556 (PPC), PR tree-optimization/103116,
      PR tree-optimization/105618, PR rtl-optimization/105577,
      PR tree-optimization/105562, PR rtl-optimization/105559,
      PR middle-end/105537, PR tree-optimization/105431,
      PR tree-optimization/105458, PR target/105162 (AArch64),
      PR rtl-optimization/105455, PR c++/105756, PR c++/105852, PR c++/105761,
      PR c++/105761, PR c++/105795, PR c++/105734, PR c++/105779,
      PR c++/105491, PR c++/105652, PR c++/105655, PR c++/105623,
      PR c++/102307, PR c++/105725, PR c++/105589, PR c++/105191,
      PR c++/92385, PR c++/104470, PR c++/102651, PR c++/49387,
      PR d/105544, PR fortran/105230, PR preprocessor/105732,
      PR gcov-profile/105535, PR libgomp/105745, PR libstdc++/105671,
      PR libstdc++/105681.
  * Reenable the jit build on m68k. Closes: #1009026.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2022 19:19:41 +0200

gcc-12 (12.1.0-2) unstable; urgency=medium

  * Update to git 20210513 from the gcc-12 branch.
    - Fix PR ipa/100413, PR tree-optimization/105528, PR target/105292 (SPARC),
      PR c++/105476, PR libstdc++/105284, PR libstdc++/105284,
      PR libstdc++/104731.
  * Refresh the cross-fixes patch.
  * Update NEWS files for GCC 12.1.

 -- Matthias Klose <doko@debian.org>  Fri, 13 May 2022 12:55:15 +0200

gcc-12 (12.1.0-1) unstable; urgency=medium

  * GCC 12.1.0 release.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sun, 08 May 2022 15:44:36 +0200

gcc-12 (12-20220428-1) unstable; urgency=medium

  * New upstream snapshot, taken from the gcc-12 branch.

  [ Matthias Klose ]
  * Don't enable -fcf-protection with -m16. LP: #1940029.
  * Update libgccjit and libgphobos symbols files.

  [ Nicolas Boulenguez ]
  * ada/confirm_debian_bugs.py: trivial update.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Apr 2022 20:10:12 +0200

gcc-12 (12-20220106-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Update symbols file for libgphobos.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 11:30:02 +0100

gcc-12 (12-20211217-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Bump libgphobos soversion.
  * Update libgccjit and libgphobos symbols files.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Dec 2021 04:55:01 +0100

gcc-12 (12-20211211-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.
  * Use gnat-11/gdc-11 as bootstrap compilers for recent releases.

 -- Matthias Klose <doko@debian.org>  Sat, 11 Dec 2021 13:49:46 +0100

gcc-11 (11-20210207-1) experimental; urgency=medium

  * GCC snapshot, taken from the trunk (20210207)
  * Fix packaging logic to build libgphobos.
  * Update libstdc++ symbols for ppc64 and ppc64el.
  * Explicitly configure with --enable-s390-excess-float-precision on s390x
    to match the behaviour of the default GCC (gcc-10).


=== debian/control ===
Source: gcc-12
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 9.20141010), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 kfreebsd-amd64 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 s390x sparc sparc64 x32] <!cross>, 
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-i386] | libc0.1-dev (>= 2.25) [kfreebsd-i386 kfreebsd-amd64] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390 [s390x], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], libc0.1-dev-i386 [kfreebsd-amd64], lib32gcc-s1 [amd64 ppc64 kfreebsd-amd64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390x sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-i386] | libc0.1-dbg [kfreebsd-i386 kfreebsd-amd64] | libc6-dbg, 
  kfreebsd-kernel-headers (>= 0.84) [kfreebsd-any], linux-libc-dev [m68k], 
  m4, libtool, autoconf2.69, 
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64], 
  gawk, lzma, xz-utils, patchutils, 
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], 
  binutils:native (>= 2.37), binutils-hppa64-linux-gnu:native (>= 2.37) [hppa amd64 i386 x32], 
  gperf (>= 3.0.1), bison (>= 1:2.3), flex, gettext, 
  gdb:native [!riscv64 !mipsel !mips64el], nvptx-tools [amd64 ppc64el], amdgcn-tools [amd64], 
  texinfo (>= 4.3), locales-all, sharutils, 
  procps, gnat-11:native [!m32r !sh3 !sh3eb !sh4eb !ia64 !alpha !m68k], g++-11:native, gnat-12 [alpha m68k], g++-12:native [alpha m68k], netbase, gdc-11:native [!ia64 !m68k !sh4 !s390 !sparc64 !alpha !hurd-alpha !hurd-amd64 !hurd-i386 !hurd-alpha !kfreebsd-amd64 !kfreebsd-i386 !kfreebsd-alpha], python3:any, 
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64 kfreebsd-amd64], lib64z1-dev [i386], unzip <!nocheck>, 
  dejagnu <!nocheck>, coreutils (>= 2.26) | realpath (>= 1.9.12), chrpath, lsb-release, quilt, time, 
  pkg-config, libgc-dev, 
   g++-12-alpha-linux-gnu [alpha] <cross>, gobjc-12-alpha-linux-gnu [alpha] <cross>, gfortran-12-alpha-linux-gnu [alpha] <cross>, gdc-12-alpha-linux-gnu [alpha] <cross>, gccgo-12-alpha-linux-gnu [alpha] <cross>, gnat-12-alpha-linux-gnu [alpha] <cross>, gm2-12-alpha-linux-gnu [alpha] <cross>, g++-12-x86-64-linux-gnu [amd64] <cross>, gobjc-12-x86-64-linux-gnu [amd64] <cross>, gfortran-12-x86-64-linux-gnu [amd64] <cross>, gdc-12-x86-64-linux-gnu [amd64] <cross>, gccgo-12-x86-64-linux-gnu [amd64] <cross>, gnat-12-x86-64-linux-gnu [amd64] <cross>, gm2-12-x86-64-linux-gnu [amd64] <cross>, g++-12-arm-linux-gnueabi [armel] <cross>, gobjc-12-arm-linux-gnueabi [armel] <cross>, gfortran-12-arm-linux-gnueabi [armel] <cross>, gdc-12-arm-linux-gnueabi [armel] <cross>, gccgo-12-arm-linux-gnueabi [armel] <cross>, gnat-12-arm-linux-gnueabi [armel] <cross>, gm2-12-arm-linux-gnueabi [armel] <cross>, g++-12-arm-linux-gnueabihf [armhf] <cross>, gobjc-12-arm-linux-gnueabihf [armhf] <cross>, gfortran-12-arm-linux-gnueabihf [armhf] <cross>, gdc-12-arm-linux-gnueabihf [armhf] <cross>, gccgo-12-arm-linux-gnueabihf [armhf] <cross>, gnat-12-arm-linux-gnueabihf [armhf] <cross>, gm2-12-arm-linux-gnueabihf [armhf] <cross>, g++-12-aarch64-linux-gnu [arm64] <cross>, gobjc-12-aarch64-linux-gnu [arm64] <cross>, gfortran-12-aarch64-linux-gnu [arm64] <cross>, gdc-12-aarch64-linux-gnu [arm64] <cross>, gccgo-12-aarch64-linux-gnu [arm64] <cross>, gnat-12-aarch64-linux-gnu [arm64] <cross>, gm2-12-aarch64-linux-gnu [arm64] <cross>, g++-12-i686-linux-gnu [i386] <cross>, gobjc-12-i686-linux-gnu [i386] <cross>, gfortran-12-i686-linux-gnu [i386] <cross>, gdc-12-i686-linux-gnu [i386] <cross>, gccgo-12-i686-linux-gnu [i386] <cross>, gnat-12-i686-linux-gnu [i386] <cross>, gm2-12-i686-linux-gnu [i386] <cross>, g++-12-mipsel-linux-gnu [mipsel] <cross>, gobjc-12-mipsel-linux-gnu [mipsel] <cross>, gfortran-12-mipsel-linux-gnu [mipsel] <cross>, gdc-12-mipsel-linux-gnu [mipsel] <cross>, gccgo-12-mipsel-linux-gnu [mipsel] <cross>, gnat-12-mipsel-linux-gnu [mipsel] <cross>, gm2-12-mipsel-linux-gnu [mipsel] <cross>, g++-12-mips64-linux-gnuabi64 [mips64] <cross>, gobjc-12-mips64-linux-gnuabi64 [mips64] <cross>, gfortran-12-mips64-linux-gnuabi64 [mips64] <cross>, gdc-12-mips64-linux-gnuabi64 [mips64] <cross>, gccgo-12-mips64-linux-gnuabi64 [mips64] <cross>, gnat-12-mips64-linux-gnuabi64 [mips64] <cross>, gm2-12-mips64-linux-gnuabi64 [mips64] <cross>, g++-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gobjc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gfortran-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gdc-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gccgo-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gnat-12-mips64el-linux-gnuabi64 [mips64el] <cross>, gm2-12-mips64el-linux-gnuabi64 [mips64el] <cross>, g++-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gobjc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gfortran-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gdc-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gccgo-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gnat-12-mips64-linux-gnuabin32 [mipsn32] <cross>, gm2-12-mips64-linux-gnuabin32 [mipsn32] <cross>, g++-12-powerpc-linux-gnu [powerpc] <cross>, gobjc-12-powerpc-linux-gnu [powerpc] <cross>, gfortran-12-powerpc-linux-gnu [powerpc] <cross>, gdc-12-powerpc-linux-gnu [powerpc] <cross>, gccgo-12-powerpc-linux-gnu [powerpc] <cross>, gnat-12-powerpc-linux-gnu [powerpc] <cross>, g++-12-powerpc64-linux-gnu [ppc64] <cross>, gobjc-12-powerpc64-linux-gnu [ppc64] <cross>, gfortran-12-powerpc64-linux-gnu [ppc64] <cross>, gdc-12-powerpc64-linux-gnu [ppc64] <cross>, gccgo-12-powerpc64-linux-gnu [ppc64] <cross>, gnat-12-powerpc64-linux-gnu [ppc64] <cross>, g++-12-powerpc64le-linux-gnu [ppc64el] <cross>, gobjc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gfortran-12-powerpc64le-linux-gnu [ppc64el] <cross>, gdc-12-powerpc64le-linux-gnu [ppc64el] <cross>, gccgo-12-powerpc64le-linux-gnu [ppc64el] <cross>, gnat-12-powerpc64le-linux-gnu [ppc64el] <cross>, gm2-12-powerpc64le-linux-gnu [ppc64el] <cross>, g++-12-m68k-linux-gnu [m68k] <cross>, gobjc-12-m68k-linux-gnu [m68k] <cross>, gfortran-12-m68k-linux-gnu [m68k] <cross>, gdc-12-m68k-linux-gnu [m68k] <cross>, gm2-12-m68k-linux-gnu [m68k] <cross>, g++-12-riscv64-linux-gnu [riscv64] <cross>, gobjc-12-riscv64-linux-gnu [riscv64] <cross>, gfortran-12-riscv64-linux-gnu [riscv64] <cross>, gdc-12-riscv64-linux-gnu [riscv64] <cross>, gccgo-12-riscv64-linux-gnu [riscv64] <cross>, gnat-12-riscv64-linux-gnu [riscv64] <cross>, gm2-12-riscv64-linux-gnu [riscv64] <cross>, g++-12-sh4-linux-gnu [sh4] <cross>, gobjc-12-sh4-linux-gnu [sh4] <cross>, gfortran-12-sh4-linux-gnu [sh4] <cross>, gnat-12-sh4-linux-gnu [sh4] <cross>, g++-12-sparc64-linux-gnu [sparc64] <cross>, gobjc-12-sparc64-linux-gnu [sparc64] <cross>, gfortran-12-sparc64-linux-gnu [sparc64] <cross>, gdc-12-sparc64-linux-gnu [sparc64] <cross>, gccgo-12-sparc64-linux-gnu [sparc64] <cross>, gnat-12-sparc64-linux-gnu [sparc64] <cross>, gm2-12-sparc64-linux-gnu [sparc64] <cross>, g++-12-s390x-linux-gnu [s390x] <cross>, gobjc-12-s390x-linux-gnu [s390x] <cross>, gfortran-12-s390x-linux-gnu [s390x] <cross>, gdc-12-s390x-linux-gnu [s390x] <cross>, gccgo-12-s390x-linux-gnu [s390x] <cross>, gnat-12-s390x-linux-gnu [s390x] <cross>, gm2-12-s390x-linux-gnu [s390x] <cross>, g++-12-x86-64-linux-gnux32 [x32] <cross>, gobjc-12-x86-64-linux-gnux32 [x32] <cross>, gfortran-12-x86-64-linux-gnux32 [x32] <cross>, gdc-12-x86-64-linux-gnux32 [x32] <cross>, gccgo-12-x86-64-linux-gnux32 [x32] <cross>, gnat-12-x86-64-linux-gnux32 [x32] <cross>, gm2-12-x86-64-linux-gnux32 [x32] <cross>, g++-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gobjc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gfortran-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gdc-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gccgo-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gnat-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, gm2-12-mips64el-linux-gnuabin32 [mipsn32el] <cross>, g++-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gobjc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gfortran-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gdc-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gccgo-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gnat-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, gm2-12-mipsisa32r6-linux-gnu [mipsr6] <cross>, g++-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gobjc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gfortran-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gdc-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gccgo-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gnat-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, gm2-12-mipsisa32r6el-linux-gnu [mipsr6el] <cross>, g++-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross>, g++-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gobjc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gfortran-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gdc-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gccgo-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gnat-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, gm2-12-mipsisa64r6-linux-gnuabin32 [mipsn32r6] <cross>, g++-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gobjc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gfortran-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gdc-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gccgo-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gnat-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, gm2-12-mipsisa64r6el-linux-gnuabin32 [mipsn32r6el] <cross>, 
Build-Depends-Indep: doxygen (>= 1.7.2), graphviz (>= 2.2), ghostscript, texlive-latex-base, xsltproc, libxml2-utils, docbook-xsl-ns
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest

Package: gcc-12-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}
Replaces: ${base:Replaces}
Breaks: ${base:Breaks}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1
X-DH-Build-For-Type: target
Architecture: any
Section: libs
Priority: optional
Depends: gcc-12-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
